body {
  font-family: "Outfit", sans-serif;
  background-image: url("../../public/assets/images/background.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 100vh;
}

.page__header {
  text-align: center;
  padding: 30px 0;
}

.page__header h1 {
  color: #f1ecff;
  font-size: 45px;
  letter-spacing: 10px;
  text-transform: uppercase;
}

.page__main {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
}

.btn--arrow {
  background-color: #ffffff;
  width: 70px;
  height: 70px;
  border-radius: 50px;
  border: 0;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 0.2s ease-in-out;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.btn--arrow.btn--back {
  transform: rotateY(180deg);
}

.btn--arrow:hover {
  background-color: #8351fe;
}

.card__list {
  width: 330px;
  height: 520px;
  position: relative;
}

.card {
  opacity: 0;
  height: 100%;
  position: absolute;
  padding: 12px;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  border-radius: 10px;
  transition: opacity 0.3s ease-in-out;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.card--selected {
  opacity: 1;
  z-index: 1;
}

.card__character-image {
  width: 100%;
  max-height: 280px;
}

.card__title {
  background-color: rgba(179, 177, 185, 0.7);
  padding: 8px 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  color: #ffffff;
  font-size: 16px;
  text-transform: uppercase;
  letter-spacing: 5px;
}

.card__description {
  background-color: rgba(255, 255, 255, 0.8);
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

.card__description-title {
  background-color: #333333;
  font-size: 20px;
  color: #ffffff;
  padding: 12px;
}

.card__description-text {
  font-size: 14px;
  padding: 12px;
  text-align: justify;
  max-height: 110px;
  overflow-y: auto;
}

.card__background-image1 {
  background: url("../../public/assets/images/card-background-1.jpg") no-repeat;
}

.card__background-image2 {
  background: url("../../public/assets/images/card-background-2.jpg") no-repeat;
}

.card__background-image3 {
  background: url("../../public/assets/images/card-background-3.jpg") no-repeat;
}

.card__background-image4 {
  background: url("../../public/assets/images/card-background-4.jpg") no-repeat;
}

.card__background-image5 {
  background: url("../../public/assets/images/card-background-5.jpg") no-repeat;
}

.card__background-image6 {
  background: url("../../public/assets/images/card-background-6.jpg") no-repeat;
}
